Loading...
Searching...
No Matches
Halide::Runtime::Internal::CpuFeatures Struct Reference

`#include <cpu_features.h>`

## Public Attributes

uint64_t | known [cpu_feature_mask_size] = {0}
uint64_t | available [cpu_feature_mask_size] = {0}

## Detailed Description

Definition at line 17 of file cpu_features.h.

## Member Data Documentation

## known

uint64_t Halide::Runtime::Internal::CpuFeatures::known[cpu_feature_mask_size] = {0}

Definition at line 18 of file cpu_features.h.

Referenced by Halide::Runtime::Internal::halide_set_known_cpu_feature(), and Halide::Runtime::Internal::halide_test_known_cpu_feature().

## available

uint64_t Halide::Runtime::Internal::CpuFeatures::available[cpu_feature_mask_size] = {0}

Definition at line 19 of file cpu_features.h.

Referenced by Halide::Runtime::Internal::halide_set_available_cpu_feature(), and Halide::Runtime::Internal::halide_test_available_cpu_feature().

The documentation for this struct was generated from the following file:

- src/runtime/cpu_features.h